/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * ファイル定義[SAMPLE_FIXED_LENGTH/固定長ファイルのサンプル。このクラスは単にサンプルです。実際の動作には利用されません。]のレコードクラス
 */
package blanco.sample.fixedlength.record;

import java.math.BigDecimal;
import java.util.Date;

/**
 * ファイル定義書(固定長)から作成されたレコードクラス
 */
public class SampleFixedLengthFixedLengthRecord {
    /**
     * フィールド [field_1]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [あいうえお]<br>
     * 項目番号: 1<br>
     * 項目の説明: フィールド1<br>
     * 長さ: 10
     */
    private String fField1 = "あいうえお";

    /**
     * フィールド [field_2]
     *
     * 項目の型 [int]<br>
     * 規定値   [123456789]<br>
     * 項目番号: 2<br>
     * 項目の説明: フィールド2<br>
     * 長さ: 9
     */
    private int fField2 = 123456789;

    /**
     * フィールド [field_3]
     *
     * 項目の型 [long]<br>
     * 規定値   [1234567890]<br>
     * 項目番号: 3<br>
     * 項目の説明: フィールド3<br>
     * 長さ: 10
     */
    private long fField3 = 1234567890;

    /**
     * フィールド [field_4]
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 規定値   [123.456]<br>
     * 項目番号: 4<br>
     * 項目の説明: フィールド4<br>
     * 長さ: 7
     */
    private BigDecimal fField4 = new BigDecimal("123.456");

    /**
     * フィールド [field_5]
     *
     * 項目の型 [java.util.Date]<br>
     * 項目番号: 5<br>
     * 項目の説明: フィールド5<br>
     * 長さ: 19
     */
    private Date fField5;

    /**
     * フィールド [field_1]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: フィールド1<br>
     * 長さ: 10
     *
     * @param argField1 フィールド[field_1]に格納したい値
     */
    public void setField1(final String argField1) {
        fField1 = argField1;
    }

    /**
     * フィールド[field_1]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [あいうえお]<br>
     * 項目番号: 1<br>
     * 項目の説明: フィールド1<br>
     * 長さ: 10
     *
     * @return フィールド[field_1]に格納されている値
     */
    public String getField1() {
        return fField1;
    }

    /**
     * フィールド [field_2]のセッターメソッド
     *
     * 項目の型 [int]<br>
     * 項目番号: 2<br>
     * 項目の説明: フィールド2<br>
     * 長さ: 9
     *
     * @param argField2 フィールド[field_2]に格納したい値
     */
    public void setField2(final int argField2) {
        fField2 = argField2;
    }

    /**
     * フィールド[field_2]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     * 規定値   [123456789]<br>
     * 項目番号: 2<br>
     * 項目の説明: フィールド2<br>
     * 長さ: 9
     *
     * @return フィールド[field_2]に格納されている値
     */
    public int getField2() {
        return fField2;
    }

    /**
     * フィールド [field_3]のセッターメソッド
     *
     * 項目の型 [long]<br>
     * 項目番号: 3<br>
     * 項目の説明: フィールド3<br>
     * 長さ: 10
     *
     * @param argField3 フィールド[field_3]に格納したい値
     */
    public void setField3(final long argField3) {
        fField3 = argField3;
    }

    /**
     * フィールド[field_3]のゲッターメソッド
     *
     * 項目の型 [long]<br>
     * 規定値   [1234567890]<br>
     * 項目番号: 3<br>
     * 項目の説明: フィールド3<br>
     * 長さ: 10
     *
     * @return フィールド[field_3]に格納されている値
     */
    public long getField3() {
        return fField3;
    }

    /**
     * フィールド [field_4]のセッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 項目番号: 4<br>
     * 項目の説明: フィールド4<br>
     * 長さ: 7
     *
     * @param argField4 フィールド[field_4]に格納したい値
     */
    public void setField4(final BigDecimal argField4) {
        fField4 = argField4;
    }

    /**
     * フィールド[field_4]のゲッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 規定値   [123.456]<br>
     * 項目番号: 4<br>
     * 項目の説明: フィールド4<br>
     * 長さ: 7
     *
     * @return フィールド[field_4]に格納されている値
     */
    public BigDecimal getField4() {
        return fField4;
    }

    /**
     * フィールド [field_5]のセッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 項目番号: 5<br>
     * 項目の説明: フィールド5<br>
     * 長さ: 19
     *
     * @param argField5 フィールド[field_5]に格納したい値
     */
    public void setField5(final Date argField5) {
        fField5 = argField5;
    }

    /**
     * フィールド[field_5]のゲッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 項目番号: 5<br>
     * 項目の説明: フィールド5<br>
     * 長さ: 19
     *
     * @return フィールド[field_5]に格納されている値
     */
    public Date getField5() {
        return fField5;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sample.fixedlength.record.SampleFixedLengthFixedLengthRecord[");
        buf.append("field_1=" + fField1);
        buf.append(",field_2=" + fField2);
        buf.append(",field_3=" + fField3);
        buf.append(",field_4=" + fField4);
        buf.append(",field_5=" + fField5);
        buf.append("]");
        return buf.toString();
    }
}
